curl --request GET \
--url https://api.letsdothis.com/v0/line-items/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/line-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/line-items/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"addonCategory": null,
"addonName": null,
"addonVariantName": null,
"amount": 6500,
"attributedLineItemId": null,
"attributedLineItemType": null,
"bookerEmailAddress": "john@invalid.test",
"bookerName": "John Runner",
"bookingId": "66b1c2d3e4f5061728394a5b",
"bookingType": "ENTRY",
"currencyCode": "USD",
"eventId": "66a1b2c3d4e5f60718293a4b",
"eventOccurrenceId": "66a2b3c4d5e6f708192a3b4c",
"eventOccurrenceTitle": "City River Run",
"financialEntryId": "66c2d3e4f5061728394a5b6c",
"id": "66c1d2e3f40516273849a5b6",
"incrementalStatus": "INCREMENTAL",
"isRefund": false,
"ldtAmount": 500,
"lineItemName": "10K General Entry",
"itemId": "66a4b5c6d7e8f9012a3b4c5d",
"itemSelectionId": null,
"lineItemType": "TICKET",
"organizerAmount": 6000,
"participantId": "7d22e97f-b583-4e5b-a2bb-1b927f826a32",
"paymentCompletedAt": "2026-05-12T16:45:03.000Z",
"paymentId": "pi_test_cityriver_1042",
"paymentReference": "payref_demo_1042",
"paymentRefundId": null,
"paymentStatus": "FUNDS_COMPLETE",
"payoutId": "po_test_cityriver_1042",
"quantity": 1,
"raceTitle": "10K",
"raceId": "66a3b4c5d6e7f8092a3b4c5d",
"startlistEntryId": "66b2c3d4e5f60718293a4b5c",
"thirdPartyAmount": 0,
"ticketId": "66a4b5c6d7e8f9012a3b4c5d",
"ticketSlug": "city-river-run-10k",
"ticketTitle": "10K General Entry",
"transactionAt": "2026-05-12T16:45:00.000Z",
"createdAt": "2026-05-12T16:45:00.000Z",
"updatedAt": "2026-05-12T16:45:03.000Z"
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Get a line item by ID
Returns a line item by ID.
curl --request GET \
--url https://api.letsdothis.com/v0/line-items/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/line-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/line-items/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"addonCategory": null,
"addonName": null,
"addonVariantName": null,
"amount": 6500,
"attributedLineItemId": null,
"attributedLineItemType": null,
"bookerEmailAddress": "john@invalid.test",
"bookerName": "John Runner",
"bookingId": "66b1c2d3e4f5061728394a5b",
"bookingType": "ENTRY",
"currencyCode": "USD",
"eventId": "66a1b2c3d4e5f60718293a4b",
"eventOccurrenceId": "66a2b3c4d5e6f708192a3b4c",
"eventOccurrenceTitle": "City River Run",
"financialEntryId": "66c2d3e4f5061728394a5b6c",
"id": "66c1d2e3f40516273849a5b6",
"incrementalStatus": "INCREMENTAL",
"isRefund": false,
"ldtAmount": 500,
"lineItemName": "10K General Entry",
"itemId": "66a4b5c6d7e8f9012a3b4c5d",
"itemSelectionId": null,
"lineItemType": "TICKET",
"organizerAmount": 6000,
"participantId": "7d22e97f-b583-4e5b-a2bb-1b927f826a32",
"paymentCompletedAt": "2026-05-12T16:45:03.000Z",
"paymentId": "pi_test_cityriver_1042",
"paymentReference": "payref_demo_1042",
"paymentRefundId": null,
"paymentStatus": "FUNDS_COMPLETE",
"payoutId": "po_test_cityriver_1042",
"quantity": 1,
"raceTitle": "10K",
"raceId": "66a3b4c5d6e7f8092a3b4c5d",
"startlistEntryId": "66b2c3d4e5f60718293a4b5c",
"thirdPartyAmount": 0,
"ticketId": "66a4b5c6d7e8f9012a3b4c5d",
"ticketSlug": "city-river-run-10k",
"ticketTitle": "10K General Entry",
"transactionAt": "2026-05-12T16:45:00.000Z",
"createdAt": "2026-05-12T16:45:00.000Z",
"updatedAt": "2026-05-12T16:45:03.000Z"
}{
"statusCode": 404,
"error": "<string>",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource to query by
Query Parameters
Data source. When set to "mongodb", reads from the MongoDB collection.
mongodb, null Response
Default Response
A financial line item recorded for an organizer.
The category of the add-on. This only applies to add-ons sold in the add-ons page in the checkout flow, not price-adjusting fields in the participant details page.
"Clothing"
The name of the add-on. This only applies to add-ons sold in the add-ons page in the checkout flow, not price-adjusting fields in the participant details page.
"Sweatshirt"
Name of the add-on variant. A variant is a specific option of an add-on. For example, 'XL' may be a variant of a t-shirt. This only applies to add-ons sold in the add-ons page in the checkout flow, not price-adjusting fields in the participant details page.
"Women's X Large"
Total value of the LineItem.
5000
The ID of the LineItem that this LineItem applies to. E.g., a discount may apply to a ticket or an add-on.
"dfe27034-85f5-4aac-8cf5-6d7024829679"
The type of the LineItem that this LineItem applies to. E.g., a discount may apply to a ticket or an add-on. Discount codes can be applied to tickets, add-ons, booking fees and memberships.
TICKET, ADD_ON, BOOKING_FEE, DISCOUNT, MEMBERSHIP Email address of booker making the purchase. This will be empty if the LineItem is not created from a booking, e.g., for a standalone membership purchase.
Name of booker making the purchase.
"John Smith"
The unique identifier of the booking resulting in the registration. If the LineItem is not created from a booking, e.g., a standalone membership purchase, this will not be set.
ENTRY, APPLICATION AUD, CAD, DKK, EUR, GBP, INR, MXN, PHP, USD, ZERO The unique identifier of the Event.
"2365756"
The unique identifier of the event occurrence.
"234676543146"
The name of the event occurrence.
Unique identifier for the financial entry. One financial entry is the equivalent of either:
- basket purchase containing multiple line items,
- a refund
- an amendment to another financial data entry.
Therefore, the booker name and incrementality will be consistent across all LineItems with the same unique identifier for the financial entry.
Identifies whether the booking was incremental (i.e., LDT driven) or non-incremental (i.e., EO driven). An incremental transaction comes through Let's Do This channels.
INCREMENTAL, NON_INCREMENTAL, PENDING, UNSPECIFIED, UNRECOGNIZED Returns true if the LineItem is a refund.
Total amount paid to LDT (before tax), including commission and payment processing.
300
The name of the LineItem providing detailed description of what was purchased.
"X Large T-shirt"
The ID of associated booking item.
"1e2601e0-1f86-4276-9448-9c9810526ee1"
The ID of associated booking item variant.
"37134b3f-29dc-49e6-9185-f0d4f2cbbc5a"
TICKET, ADD_ON, BOOKING_FEE, DISCOUNT, CREDIT, GIFT_CARD, REFUNDABLE_PURCHASE, MISC, PROXY_ADJUSTMENT, UNUSED_DISCOUNT_AMOUNT, DONATION, MEMBERSHIP Total amount paid to organizer (before tax).
4700
Date and time when the funds were transferred between LDT and the account receiving the payment. The account receiving the payment often belongs to the EO, but in some instances may belong to another third party (e.g., a charity).
"2026-05-08T11:30:00.000Z"
The Stripe payment ID for transactions that are paid into the receiving account from the LDT account.
Unique identifier used by LDT which allows for tracking all LineItems back to a singular payment made. It is different from the Stripe payment reference but serves a similar purpose in practice.
The Stripe ID when a payment is reversed (if applicable). A reversed payment includes refunds, failed payments (e.g., due to insufficient funds) or a payment dispute reversal.
Payment status of the financial transaction. If the status is 'FUNDS_COMPLETE', it indicates that the funds have been successfully transferred to the respective parties involved.
FUNDS_COMPLETE, READY, CANCELLED, REFUNDED Unique identifier for the payouts made from Stripe into the recipient bank account.
Represents the number of LineItems sold.
- For refunds, this value will be -1.
- For financial data amendments, the value will be 0 to prevent double-counting.
- For the 2nd+ installments of payment plan transactions, this will be 0, to avoid counting the same LineItem multiple times.
- For all other cases, the value will be +1.
1
The name of the race this LineItem belongs to.
Unique identifier of the race this LineItem belongs to.
Startlist entry ID for the LineItem. Not all LineItems have an associated startlist entry ID.
Total amount paid to third parties (before tax).
0
The unique identifier for a ticket this LineItem belongs to.
The slug for a ticket this LineItem belongs to.
The name of the ticket this LineItem belongs to.
Date and time at which the transaction occurred.
"2026-05-08T11:30:00.000Z"
The time and date this LineItem was created.
"2026-05-08T11:30:00.000Z"
The time and date this LineItem was updated.
"2026-05-08T11:30:00.000Z"
Was this page helpful?

